import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { SpecialPageComponentUiService } from "./special-page-component-ui.service";
import { UpdateSpecialPageComponentUiDto } from "./dto/update-special-page-component-ui.dto";

@Controller({ path: "special-page-component-ui", version: Constants.API_VERSION_1 })

export class SpecialPageComponentUiController {
    constructor(private readonly service: SpecialPageComponentUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateSpecialPageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
