import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { ContactMessageController } from "./contact-message.controller";
import { ContactMessageRepository } from "./contact-message.repository";
import { ContactMessageService } from "./contact-message.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ContactMessageRepository])
    ],
    controllers: [ContactMessageController],
    providers: [ContactMessageService, JwtHelper]
})
export class ContactMessageModule {
}
