import { Body, Controller, Delete, Get, HttpCode, HttpStatus, Param, Post } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { OrderServiceService } from "./order-service.service";
import { CreateOrderServiceDto } from "./dto/create-order-service.dto";

@Controller({ path: "order-service", version: Constants.API_VERSION_1 })

export class OrderServiceController {
    constructor(private readonly service: OrderServiceService) {
    }

    @Post()
    // @UseGuards(AdminAuthGuard)
    create(
        @Body() dto: CreateOrderServiceDto
    ) {
        return this.service.create(dto);
    }

    @Post("/get-user-wise")
    @HttpCode(HttpStatus.OK)
    getOrderUserWise(@Body() variables: any) {
        return this.service.getOrderUserWise(variables);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }

    @Get(":id")
    // @UseGuards(AdminAuthGuard)
    findOne(@Param("id") id: string) {
        return this.service.findOne(id);
    }

    @Delete(":id")
    // @UseGuards(AdminAuthGuard)
    async remove(@Param("id") id: string) {
        return await this.service.remove(id);
    }
}
