import { Module } from "@nestjs/common";
import { ProductService } from "./product.service";
import { ProductController } from "./product.controller";
import { RetailerService } from "../retailer/retailer.service";
import { TypeOrmModule } from "@nestjs/typeorm";
import {
    ProductCategoryRepository
} from "src/modules/dutchie-plus/custom/product-category/product-category.repository";
import { RetailerServiceRepository } from "../custom/retailer-service/retailer-service.repository";
import { ProductServiceRepository } from "../custom/product-service/product-service.repository";
import { ProductEffectsRepository } from "../custom/product-effects/product-effects.repository";

@Module({
    imports: [
        TypeOrmModule.forFeature([
            ProductCategoryRepository,
            RetailerServiceRepository,
            ProductServiceRepository,
            ProductEffectsRepository
        ])
    ],
    controllers: [ProductController],
    providers: [ProductService, RetailerService]
})
export class ProductModule {
}
