import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { MailSenderService } from "src/modules/mail-sender/mail-sender.service";
import { UsersRepository } from "src/modules/users/user.repository";
import { ReferFriendController } from "./refer-friend.controller";
import { ReferFriendRepository } from "./refer-friend.repository";
import { ReferFriendService } from "./refer-friend.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ReferFriendRepository])
    ],
    controllers: [ReferFriendController],
    providers: [ReferFriendService, JwtHelper, MailSenderService]
})
export class ReferFriendModule {
}
