import { Module } from "@nestjs/common";
import { SchedulerService } from "./scheduler.service";
import { SchedulerController } from "./scheduler.controller";
import { ScheduleModule } from "@nestjs/schedule";
import { TypeOrmModule } from "@nestjs/typeorm";
import { UsersRepository } from "../users/user.repository";
import { ProductCategoryRepository } from "../dutchie-plus/custom/product-category/product-category.repository";
import { ProductServiceRepository } from "../dutchie-plus/custom/product-service/product-service.repository";
import { RetailerServiceRepository } from "../dutchie-plus/custom/retailer-service/retailer-service.repository";
import { ProductEffectsRepository } from "../dutchie-plus/custom/product-effects/product-effects.repository";

@Module({
    imports: [
        ScheduleModule.forRoot(),
        TypeOrmModule.forFeature([
            UsersRepository,
            ProductCategoryRepository,
            ProductServiceRepository,
            RetailerServiceRepository,
            ProductEffectsRepository
        ])
    ],
    controllers: [SchedulerController],
    providers: [SchedulerService]
})
export class SchedulerModule {
}
